# Generated by Django 3.2.14 on 2022-12-22 05:51

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0107_auto_20220715_0743'),
        ('sales', '0017_automatedcollectionnoticessettings_contact_type_crm_id'),
    ]

    operations = [
        migrations.CreateModel(
            name='PAX8IntegrationSettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('client_id', models.CharField(max_length=150)),
                ('client_secret', models.CharField(max_length=150)),
                ('vendors', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=200), blank=True, default=list, size=None)),
                ('provider', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='pax8_integration_settings', to='accounts.provider')),
            ],
        ),
    ]
